Bug 203554 - [exp-run] print/freetype2 to 2.6.2.
Summary: [exp-run] print/freetype2 to 2.6.2.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-05 13:16 UTC by Koop Mast
Modified: 2015-12-10 22:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
kwm: exp-run?


Attachments
freetype2 2.6.1 update (12.58 KB, patch)
2015-10-05 17:05 UTC, Koop Mast
no flags Details | Diff
Freetype 2.6.2 + build fixes (27.43 KB, patch)
2015-12-03 20:46 UTC, Koop Mast
no flags Details | Diff
Freetype 2.6.2 v2 - Removed the conflicting patches for gecko products (23.22 KB, patch)
2015-12-05 21:25 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2015-10-05 13:16:00 UTC
Freetype2 messed with the header location again.
Comment 1 Koop Mast freebsd_committer 2015-10-05 13:16:51 UTC
over to portmgr for exp-run
Comment 2 Antoine Brodin freebsd_committer 2015-10-05 14:16:10 UTC
Is the patch missing ?
Comment 3 Koop Mast freebsd_committer 2015-10-05 17:05:56 UTC
Created attachment 161730 [details]
freetype2 2.6.1 update
Comment 4 Antoine Brodin freebsd_committer 2015-10-06 21:13:59 UTC
Exp-run results on 9.3 i386:
http://package22.nyi.freebsd.org/jail.html?mastername=93i386-default-PR203554

Exp-run results on 10.2 amd64:
http://package23.nyi.freebsd.org/jail.html?mastername=102amd64-default-PR203554

14 new failures:
+ {"origin"=>"audio/lmms", "pkgname"=>"lmms-0.4.15_5,2", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"graphics/libprojectm", "pkgname"=>"libprojectM-2.0.1_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"graphics/xpaint", "pkgname"=>"xpaint-2.9.10.3_1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"mail/thunderbird", "pkgname"=>"thunderbird-38.2.0_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/magicpoint", "pkgname"=>"magicpoint-1.13a_17", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"multimedia/ffmpeg0", "pkgname"=>"ffmpeg0-0.7.17,1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"www/firefox", "pkgname"=>"firefox-40.0.3,1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/firefox-esr", "pkgname"=>"firefox-esr-38.3.0,1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/libxul", "pkgname"=>"libxul-38.3.0", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/seamonkey", "pkgname"=>"seamonkey-2.33.1_8", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-fm/xfe", "pkgname"=>"xfe-1.40", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"x11-fonts/fontmatrix", "pkgname"=>"fontmatrix-0.4.2_4", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"x11-toolkits/mygui", "pkgname"=>"mygui-3.2.1.svn20140422_1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"x11-wm/matwm2", "pkgname"=>"matwm2-0.1.2.p3", "phase"=>"build", "errortype"=>"missing_header"}

30 ports skipped due to those failures

Failure logs:

http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/lmms-0.4.15_5,2.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/libprojectM-2.0.1_3.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/xpaint-2.9.10.3_1.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/thunderbird-38.2.0_1.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/magicpoint-1.13a_17.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/ffmpeg0-0.7.17,1.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/firefox-40.0.3,1.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/firefox-esr-38.3.0,1.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/libxul-38.3.0.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/seamonkey-2.33.1_8.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/xfe-1.40.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/fontmatrix-0.4.2_4.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/mygui-3.2.1.svn20140422_1.log 
http://package23.nyi.freebsd.org/data/102amd64-default-PR203554/2015-10-06_19h17m39s/logs/errors/matwm2-0.1.2.p3.log
Comment 5 Koop Mast freebsd_committer 2015-12-03 20:46:46 UTC
Created attachment 163825 [details]
Freetype 2.6.2 + build fixes

Bump freetype2 to 2.6.2, include fixes for buildfailures.

I couldn't fix misc/magicpoint, I will send a headup to the maintainer.
Comment 6 Koop Mast freebsd_committer 2015-12-03 20:49:05 UTC
back over to portmgr to exp-run the new patch.
Comment 7 Antoine Brodin freebsd_committer 2015-12-05 07:15:15 UTC
The patch looks wrong,  at least those ports fail during "make patch":
mail/thunderbird
www/firefox-esr
www/libxul
Comment 8 Koop Mast freebsd_committer 2015-12-05 21:25:51 UTC
Created attachment 163877 [details]
Freetype 2.6.2 v2 - Removed the conflicting patches for gecko products
Comment 9 Antoine Brodin freebsd_committer 2015-12-09 10:10:22 UTC
Exp-run results:

http://package22.nyi.freebsd.org/jail.html?mastername=102amd64-default-PR203554
http://package23.nyi.freebsd.org/jail.html?mastername=93i386-default-PR203554

3 new failures:

+ {"origin"=>"graphics/xpaint", "pkgname"=>"xpaint-2.9.10.3_1", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"misc/magicpoint", "pkgname"=>"magicpoint-1.13a_18", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11-wm/matwm2", "pkgname"=>"matwm2-0.1.2.p3", "phase"=>"build", "errortype"=>"missing_header"}

Failure logs:

http://package22.nyi.freebsd.org/data/102amd64-default-PR203554/2015-12-09_06h47m05s/logs/errors/xpaint-2.9.10.3_1.log
http://package22.nyi.freebsd.org/data/102amd64-default-PR203554/2015-12-09_06h47m05s/logs/errors/magicpoint-1.13a_18.log
http://package22.nyi.freebsd.org/data/102amd64-default-PR203554/2015-12-09_06h47m05s/logs/errors/matwm2-0.1.2.p3.log
Comment 10 commit-hook freebsd_committer 2015-12-10 22:14:26 UTC
A commit references this bug:

Author: kwm
Date: Thu Dec 10 22:13:59 UTC 2015
New revision: 403474
URL: https://svnweb.freebsd.org/changeset/ports/403474

Log:
  Update freetype2 to 2.6.2. [1]

  Mark magicpoint broken, maintainer is notified.

  Exp-runs run by antoine@

  This version also fixes shadowing of TYPEOF in ftconfig.h [2]

  PR:		203554 [1], 202083 [2]
  Submitted by:	rhurlin@gwdg.de [2]

Changes:
  head/audio/lmms/files/patch-plugins_zynaddsubfx_fltk_CMakeLists.txt
  head/graphics/libprojectm/files/patch-cmake_FindFreetype2.cmake
  head/graphics/xpaint/Makefile
  head/graphics/xpaint/files/patch-configure
  head/graphics/xpaint/files/patch-rw_configure
  head/misc/magicpoint/Makefile
  head/multimedia/ffmpeg0/Makefile
  head/print/freetype2/Makefile
  head/print/freetype2/distinfo
  head/print/freetype2/files/patch-5cd2155
  head/print/freetype2/files/patch-builds_unix_detect.mk
  head/print/freetype2/pkg-plist
  head/www/firefox/files/patch-1194520
  head/www/seamonkey/files/patch-1194520
  head/x11-fm/xfe/files/patch-configure
  head/x11-fonts/fontmatrix/files/patch-cmake__modules__FREETYPEConfig.cmake
Comment 11 Koop Mast freebsd_committer 2015-12-10 22:16:57 UTC
Committed